Component({
  props: {
    onBtnClick: () => null,
    memberPopUpShow: false,
    onPopClose: () => null,
    memberItem: null
  },
  data: {},

  didMount() {},

  methods: {
    handleBtnClick(e) {
      const {
        dataset: {
          type = ''
        }
      } = e.target;
      const {
        memberItem
      } = this.props;
      this.props.onBtnClick && this.props.onBtnClick({
        type,
        memberItem
      });
      this.props.onPopClose();
    },

    onPopClose() {
      this.props.onPopClose();
    }

  }
});